This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535380 - (RHQ-2082) Add option to configure user session timeout
Add option to configure user session timeout
Status: CLOSED DUPLICATE of bug 857438
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jirka Kremser
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 15:26 EDT by Joao Paulo Viragine
Modified: 2014-03-04 08:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.2
Last Closed: 2014-03-04 08:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joao Paulo Viragine 2009-05-12 15:26:00 EDT
It would be nice if we could set the session timeout per user. (like the options we have for Page refresh period -> 'Administration/Security/Users/My Preferences' )

 
Comment 1 Joao Paulo Viragine 2009-05-12 19:44:43 EDT
Notice that 'Page refresh period' may cause that session expiration never happens.
Comment 2 John Mazzitelli 2009-05-12 19:54:13 EDT
> Notice that 'Page refresh period' may cause that session expiration never happens. 

That is actually on purpose :)

We had some customers that want to leave their browser open for very long periods of time on pages that auto-refresh and they never wanted the session to expire. This was how they can do that.
Comment 3 Joao Paulo Viragine 2009-05-12 20:03:21 EDT
I think that if the user defines a session timeout, the 'Page refresh period' may be disabled.
Comment 4 Red Hat Bugzilla 2009-11-10 15:57:24 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2082
Comment 5 vlad crc 2013-05-23 02:34:14 EDT
Hi,

In RHQ 4.4 there is no setting for session timeout per user or Page refresh period.

We need this because we put RHQ dashboard on wall screens and we don't want to be logged out.

Regards,
Vlad
Comment 6 Jirka Kremser 2014-03-04 08:37:52 EST
This bug was fixed in RHQ 4.7

*** This bug has been marked as a duplicate of bug 857438 ***

Note You need to log in before you can comment on or make changes to this bug.